single_tweener.hpp File Reference

A single_tweener makes a value to evolve through time from a initial value to an end value according to a given function. More...

`#include <claw/tween/base_tweener.hpp>`
`#include <claw/tween/easing/easing_none.hpp>`
`#include <boost/function.hpp>`

Go to the source code of this file.

## Classes

class | claw::tween::single_tweener
| A single_tweener makes a value to evolve through time from a initial value to an end value according to a given function. More...

## Namespaces

namespace | claw
| This is the main namespace.
namespace | claw::tween
| Tweeners interpolate the intermediate values between two given reference values using various equations.

## Detailed Description

A single_tweener makes a value to evolve through time from a initial value to an end value according to a given function.

Author
  Julien Jorge

Definition in file single_tweener.hpp.